package com.steerinfo.baseinfo.meterbaserfidinfo.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="rfid卡配置信息表")
public class MeterBaseRfidInfo implements IBasePO<String> {
    /**
     * 主键Id（YYYY-MM-dd+流水号）(RFID_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="主键Id（YYYY-MM-dd+流水号）",required=true)
    private String rfidId;

    /**
     * RFID号(RFID_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="RFID号",required=false)
    private String rfidCode;

    /**
     * 车号(CAR_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车号",required=false)
    private String carNo;

    /**
     * 录入人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="录入人编号",required=false)
    private String createManNo;

    /**
     * 录入人姓名(CREATE_MAN_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="录入人姓名",required=false)
    private String createManName;

    /**
     * 录入时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="录入时间",required=false)
    private Date createTime;

    /**
     * 状态（0：有效,1：挂失）(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（0：有效,1：挂失）",required=false)
    private String valueFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.rfidId;
    }

    @Override
    public void setId(String rfidId) {
        this.rfidId = rfidId == null ? null : rfidId.trim();
    }

    public String getRfidId() {
        return rfidId;
    }

    public void setRfidId(String rfidId) {
        this.rfidId = rfidId == null ? null : rfidId.trim();
    }

    public String getRfidCode() {
        return rfidCode;
    }

    public void setRfidCode(String rfidCode) {
        this.rfidCode = rfidCode == null ? null : rfidCode.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", rfidId=").append(rfidId);
        sb.append(", rfidCode=").append(rfidCode);
        sb.append(", carNo=").append(carNo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}